> For the complete documentation index, see [llms.txt](https://developer.vario-software.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.vario-software.de/api-reference/article-supplier.md).

# Article Supplier

Configure article-supplier relations in VARIO Cloud via API, including supplier product data, prices, delivery times, order quantities, and labels.

the Article Supplier API

## GET /erp/article-suppliers/{id}

> Find an existing Resource by identifier

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"ArticleSupplier","description":"the Article Supplier API"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/article-suppliers/{id}":{"get":{"tags":["ArticleSupplier"],"summary":"Find an existing Resource by identifier","operationId":"getById_75","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-product-ArticleSupplier"}}}},"404":{"description":"Resource with given ID was not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-product-ArticleSupplier":{"description":"Article-Supplier-Relation","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"articleId":{"type":"string","description":"Referenced Article"},"articleName":{"type":"string","description":"Referenced Article name"},"accountId":{"type":"string","description":"Referenced Supplier-Account"},"articleNumber":{"type":"string","description":"Article number.","readOnly":true},"accountDisplayName":{"type":"string","description":"Account display name.","readOnly":true},"active":{"type":"boolean","default":true,"description":"Is this active?"},"supplierArticleNumber":{"type":"string","description":"Deviating product number."},"supplierArticleName":{"type":"string","description":"Deviating product name."},"supplierArticleDescription":{"type":"string","description":"Deviating product description."},"supplierArticleIdentifier":{"type":"string","description":"Deviating product identifier (e.g. barcode)."},"useSupplierArticleNumber":{"type":"boolean","default":false,"description":"Should the deviating product number be used (e.g. in documents)?"},"useSupplierArticleName":{"type":"boolean","default":false,"description":"Should the deviating product name be used (e.g. in documents)?"},"useSupplierArticleDescription":{"type":"boolean","default":false,"description":"Should the deviating product description be used (e.g. in documents)?"},"useSupplierArticleIdentifier":{"type":"boolean","default":false,"description":"Should the deviating product identifier be used (e.g. when scanning)?"},"purchaseUnit":{"type":"number","description":"Purchase unit."},"packagingUnit":{"type":"number","description":"Packaging unit."},"productUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"orderUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"deliveryTime":{"type":"integer","format":"int32","description":"Delivery time in (working) days."},"minimumOrderQuantity":{"type":"number","description":"Minimum order quantity."},"supplierReportingStock":{"type":"number","description":"Supplier reorder level."},"mainSupplier":{"type":"boolean","default":false,"description":"Main supplier."},"discountGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"defaultNetPrice":{"type":"number","description":"Default net price."},"defaultGrossPrice":{"type":"number","description":"Default gross price."},"productPrices":{"type":"array","description":"Supplier prices.","items":{"$ref":"#/components/schemas/erp-product-ProductPrice"},"readOnly":true},"orderOnComponentBase":{"type":"boolean","default":true,"description":"Should assemblies be ordered on a component basis?"},"dropShippingAllowed":{"type":"boolean","description":"Indicates whether drop shipping is allowed."},"supplierPrintLabelSettings":{"$ref":"#/components/schemas/erp-product-ArticlePrintLabelSettings"}},"required":["accountId","active","articleId"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"common-masterdata-UnitTypeReference":{"description":"net weight unit","properties":{"id":{"type":"integer","format":"int64","description":"unit type id"},"name":{"type":"string","description":"descriptive name","maxLength":255,"minLength":0},"abbreviation":{"type":"string","description":"unique abbreviation","maxLength":255,"minLength":0}},"required":["abbreviation"]},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-product-ProductPrice":{"description":"Contains a sales or purchase price for a product.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"netPrice":{"type":"number","description":"Net price."},"grossPrice":{"type":"number","description":"Gross price."},"priceBase":{"type":"string","description":"Price base.","enum":["NET_PRICE","GROSS_PRICE"]},"usedTaxRate":{"$ref":"#/components/schemas/erp-tax-TaxRate"},"qualifier":{"type":"string","description":"Determines whether this is a sales or a purchase price.","enum":["SALES","PURCHASE"],"readOnly":true},"purchasePriceSource":{"type":"string","description":"Purchase price for the calculation.","enum":["NONE","AVERAGE","MOST_RECENT"]},"modifierValueType":{"type":"string","description":"Value type.","enum":["PERCENT","FIX"]},"modifierValue":{"type":"number","description":"Surcharge value in the purchase price calculation."},"accountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"accessoryMainArticleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"productGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"priceGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"currencyRef":{"$ref":"#/components/schemas/common-masterdata-CurrencyReference"},"fromQuantity":{"type":"number","description":"Determines from which quantity this price is valid."},"validFrom":{"type":"string","format":"date","description":"Valid from."},"validUntil":{"type":"string","format":"date","description":"Valid until."},"specialOfferPrice":{"type":"boolean","default":false,"description":"Special offer price."},"salesChannelRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"customerGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"supplierGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"manufacturerRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"erp-tax-TaxRate":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"typeRef":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"},"active":{"type":"boolean","default":true,"description":"is this tax-rate active (selectable)","readOnly":true},"countryCode":{"type":"string","description":"the country code for this tax-rate"},"rate":{"type":"number","description":"the rate of this tax-rate"},"validFrom":{"type":"string","format":"date","description":"the date, this entry is valid from"}},"required":["countryCode","rate","typeRef","validFrom"]},"core-api-ApiCreatableReference":{"description":"Relation type","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label"},"description":{"type":"string","description":"a short description","readOnly":true}}},"common-masterdata-CurrencyReference":{"description":"Currency.","properties":{"id":{"type":"integer","format":"int64","description":"Currency identifier."},"isoAlpha3":{"type":"string","description":"Currency ISO Alpha-3 code."},"label":{"type":"string","description":"Currency label.","readOnly":true},"symbol":{"type":"string","description":"Currency symbol.","readOnly":true}}},"erp-product-ArticlePrintLabelSettings":{"description":"Label printing settings.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"report":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"incomingCalculationMode":{"type":"string","description":"Incoming goods: print quantity determination.","enum":["NO_LABEL","FIXED_AMOUNT","QUANTITY_TIMES_AMOUNT","QUANTITY_PER_PACKAGING_UNIT","QUANTITY_TIMES_AMOUNT_AND_PACKAGING_QUANTITY"]},"incomingPrintQuantity":{"type":"integer","format":"int32","description":"Incoming goods: print quantity."},"outgoingCalculationMode":{"type":"string","description":"Outgoing goods: print quantity determination.","enum":["NO_LABEL","FIXED_AMOUNT","QUANTITY_TIMES_AMOUNT","QUANTITY_PER_PACKAGING_UNIT","QUANTITY_TIMES_AMOUNT_AND_PACKAGING_QUANTITY"]},"outgoingPrintQuantity":{"type":"integer","format":"int32","description":"Outgoing goods: print quantity."}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}}}}}
```

## PUT /erp/article-suppliers/{id}

> Update existing Resource&#x20;

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"ArticleSupplier","description":"the Article Supplier API"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/article-suppliers/{id}":{"put":{"tags":["ArticleSupplier"],"summary":"Update existing Resource ","operationId":"update_78","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-product-ArticleSupplier"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-product-ArticleSupplier"}}}},"404":{"description":"Resource was not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"422":{"description":"Resource was not valid to process","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-product-ArticleSupplier":{"description":"Article-Supplier-Relation","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"articleId":{"type":"string","description":"Referenced Article"},"articleName":{"type":"string","description":"Referenced Article name"},"accountId":{"type":"string","description":"Referenced Supplier-Account"},"articleNumber":{"type":"string","description":"Article number.","readOnly":true},"accountDisplayName":{"type":"string","description":"Account display name.","readOnly":true},"active":{"type":"boolean","default":true,"description":"Is this active?"},"supplierArticleNumber":{"type":"string","description":"Deviating product number."},"supplierArticleName":{"type":"string","description":"Deviating product name."},"supplierArticleDescription":{"type":"string","description":"Deviating product description."},"supplierArticleIdentifier":{"type":"string","description":"Deviating product identifier (e.g. barcode)."},"useSupplierArticleNumber":{"type":"boolean","default":false,"description":"Should the deviating product number be used (e.g. in documents)?"},"useSupplierArticleName":{"type":"boolean","default":false,"description":"Should the deviating product name be used (e.g. in documents)?"},"useSupplierArticleDescription":{"type":"boolean","default":false,"description":"Should the deviating product description be used (e.g. in documents)?"},"useSupplierArticleIdentifier":{"type":"boolean","default":false,"description":"Should the deviating product identifier be used (e.g. when scanning)?"},"purchaseUnit":{"type":"number","description":"Purchase unit."},"packagingUnit":{"type":"number","description":"Packaging unit."},"productUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"orderUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"deliveryTime":{"type":"integer","format":"int32","description":"Delivery time in (working) days."},"minimumOrderQuantity":{"type":"number","description":"Minimum order quantity."},"supplierReportingStock":{"type":"number","description":"Supplier reorder level."},"mainSupplier":{"type":"boolean","default":false,"description":"Main supplier."},"discountGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"defaultNetPrice":{"type":"number","description":"Default net price."},"defaultGrossPrice":{"type":"number","description":"Default gross price."},"productPrices":{"type":"array","description":"Supplier prices.","items":{"$ref":"#/components/schemas/erp-product-ProductPrice"},"readOnly":true},"orderOnComponentBase":{"type":"boolean","default":true,"description":"Should assemblies be ordered on a component basis?"},"dropShippingAllowed":{"type":"boolean","description":"Indicates whether drop shipping is allowed."},"supplierPrintLabelSettings":{"$ref":"#/components/schemas/erp-product-ArticlePrintLabelSettings"}},"required":["accountId","active","articleId"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"common-masterdata-UnitTypeReference":{"description":"net weight unit","properties":{"id":{"type":"integer","format":"int64","description":"unit type id"},"name":{"type":"string","description":"descriptive name","maxLength":255,"minLength":0},"abbreviation":{"type":"string","description":"unique abbreviation","maxLength":255,"minLength":0}},"required":["abbreviation"]},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-product-ProductPrice":{"description":"Contains a sales or purchase price for a product.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"netPrice":{"type":"number","description":"Net price."},"grossPrice":{"type":"number","description":"Gross price."},"priceBase":{"type":"string","description":"Price base.","enum":["NET_PRICE","GROSS_PRICE"]},"usedTaxRate":{"$ref":"#/components/schemas/erp-tax-TaxRate"},"qualifier":{"type":"string","description":"Determines whether this is a sales or a purchase price.","enum":["SALES","PURCHASE"],"readOnly":true},"purchasePriceSource":{"type":"string","description":"Purchase price for the calculation.","enum":["NONE","AVERAGE","MOST_RECENT"]},"modifierValueType":{"type":"string","description":"Value type.","enum":["PERCENT","FIX"]},"modifierValue":{"type":"number","description":"Surcharge value in the purchase price calculation."},"accountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"accessoryMainArticleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"productGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"priceGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"currencyRef":{"$ref":"#/components/schemas/common-masterdata-CurrencyReference"},"fromQuantity":{"type":"number","description":"Determines from which quantity this price is valid."},"validFrom":{"type":"string","format":"date","description":"Valid from."},"validUntil":{"type":"string","format":"date","description":"Valid until."},"specialOfferPrice":{"type":"boolean","default":false,"description":"Special offer price."},"salesChannelRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"customerGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"supplierGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"manufacturerRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"erp-tax-TaxRate":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"typeRef":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"},"active":{"type":"boolean","default":true,"description":"is this tax-rate active (selectable)","readOnly":true},"countryCode":{"type":"string","description":"the country code for this tax-rate"},"rate":{"type":"number","description":"the rate of this tax-rate"},"validFrom":{"type":"string","format":"date","description":"the date, this entry is valid from"}},"required":["countryCode","rate","typeRef","validFrom"]},"core-api-ApiCreatableReference":{"description":"Relation type","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label"},"description":{"type":"string","description":"a short description","readOnly":true}}},"common-masterdata-CurrencyReference":{"description":"Currency.","properties":{"id":{"type":"integer","format":"int64","description":"Currency identifier."},"isoAlpha3":{"type":"string","description":"Currency ISO Alpha-3 code."},"label":{"type":"string","description":"Currency label.","readOnly":true},"symbol":{"type":"string","description":"Currency symbol.","readOnly":true}}},"erp-product-ArticlePrintLabelSettings":{"description":"Label printing settings.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"report":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"incomingCalculationMode":{"type":"string","description":"Incoming goods: print quantity determination.","enum":["NO_LABEL","FIXED_AMOUNT","QUANTITY_TIMES_AMOUNT","QUANTITY_PER_PACKAGING_UNIT","QUANTITY_TIMES_AMOUNT_AND_PACKAGING_QUANTITY"]},"incomingPrintQuantity":{"type":"integer","format":"int32","description":"Incoming goods: print quantity."},"outgoingCalculationMode":{"type":"string","description":"Outgoing goods: print quantity determination.","enum":["NO_LABEL","FIXED_AMOUNT","QUANTITY_TIMES_AMOUNT","QUANTITY_PER_PACKAGING_UNIT","QUANTITY_TIMES_AMOUNT_AND_PACKAGING_QUANTITY"]},"outgoingPrintQuantity":{"type":"integer","format":"int32","description":"Outgoing goods: print quantity."}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}}}}}
```

## DELETE /erp/article-suppliers/{id}

> Delete an existing Resource

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"ArticleSupplier","description":"the Article Supplier API"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/article-suppliers/{id}":{"delete":{"tags":["ArticleSupplier"],"summary":"Delete an existing Resource","operationId":"delete_74","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}},"404":{"description":"Resource was not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"409":{"description":"unable to delete Resource, due to constraints, existing references or internal state","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}}}}}
```

## PUT /erp/article-suppliers/{id}/deactivate

> Deactivate an existing resource

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"ArticleSupplier","description":"the Article Supplier API"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/article-suppliers/{id}/deactivate":{"put":{"tags":["ArticleSupplier"],"summary":"Deactivate an existing resource","operationId":"deactivate_38","parameters":[{"name":"id","in":"path","description":"identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-product-ArticleSupplier"}}}},"404":{"description":"Resource was not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"422":{"description":"Resource was not valid to process","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-product-ArticleSupplier":{"description":"Article-Supplier-Relation","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"articleId":{"type":"string","description":"Referenced Article"},"articleName":{"type":"string","description":"Referenced Article name"},"accountId":{"type":"string","description":"Referenced Supplier-Account"},"articleNumber":{"type":"string","description":"Article number.","readOnly":true},"accountDisplayName":{"type":"string","description":"Account display name.","readOnly":true},"active":{"type":"boolean","default":true,"description":"Is this active?"},"supplierArticleNumber":{"type":"string","description":"Deviating product number."},"supplierArticleName":{"type":"string","description":"Deviating product name."},"supplierArticleDescription":{"type":"string","description":"Deviating product description."},"supplierArticleIdentifier":{"type":"string","description":"Deviating product identifier (e.g. barcode)."},"useSupplierArticleNumber":{"type":"boolean","default":false,"description":"Should the deviating product number be used (e.g. in documents)?"},"useSupplierArticleName":{"type":"boolean","default":false,"description":"Should the deviating product name be used (e.g. in documents)?"},"useSupplierArticleDescription":{"type":"boolean","default":false,"description":"Should the deviating product description be used (e.g. in documents)?"},"useSupplierArticleIdentifier":{"type":"boolean","default":false,"description":"Should the deviating product identifier be used (e.g. when scanning)?"},"purchaseUnit":{"type":"number","description":"Purchase unit."},"packagingUnit":{"type":"number","description":"Packaging unit."},"productUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"orderUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"deliveryTime":{"type":"integer","format":"int32","description":"Delivery time in (working) days."},"minimumOrderQuantity":{"type":"number","description":"Minimum order quantity."},"supplierReportingStock":{"type":"number","description":"Supplier reorder level."},"mainSupplier":{"type":"boolean","default":false,"description":"Main supplier."},"discountGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"defaultNetPrice":{"type":"number","description":"Default net price."},"defaultGrossPrice":{"type":"number","description":"Default gross price."},"productPrices":{"type":"array","description":"Supplier prices.","items":{"$ref":"#/components/schemas/erp-product-ProductPrice"},"readOnly":true},"orderOnComponentBase":{"type":"boolean","default":true,"description":"Should assemblies be ordered on a component basis?"},"dropShippingAllowed":{"type":"boolean","description":"Indicates whether drop shipping is allowed."},"supplierPrintLabelSettings":{"$ref":"#/components/schemas/erp-product-ArticlePrintLabelSettings"}},"required":["accountId","active","articleId"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"common-masterdata-UnitTypeReference":{"description":"net weight unit","properties":{"id":{"type":"integer","format":"int64","description":"unit type id"},"name":{"type":"string","description":"descriptive name","maxLength":255,"minLength":0},"abbreviation":{"type":"string","description":"unique abbreviation","maxLength":255,"minLength":0}},"required":["abbreviation"]},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-product-ProductPrice":{"description":"Contains a sales or purchase price for a product.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"netPrice":{"type":"number","description":"Net price."},"grossPrice":{"type":"number","description":"Gross price."},"priceBase":{"type":"string","description":"Price base.","enum":["NET_PRICE","GROSS_PRICE"]},"usedTaxRate":{"$ref":"#/components/schemas/erp-tax-TaxRate"},"qualifier":{"type":"string","description":"Determines whether this is a sales or a purchase price.","enum":["SALES","PURCHASE"],"readOnly":true},"purchasePriceSource":{"type":"string","description":"Purchase price for the calculation.","enum":["NONE","AVERAGE","MOST_RECENT"]},"modifierValueType":{"type":"string","description":"Value type.","enum":["PERCENT","FIX"]},"modifierValue":{"type":"number","description":"Surcharge value in the purchase price calculation."},"accountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"accessoryMainArticleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"productGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"priceGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"currencyRef":{"$ref":"#/components/schemas/common-masterdata-CurrencyReference"},"fromQuantity":{"type":"number","description":"Determines from which quantity this price is valid."},"validFrom":{"type":"string","format":"date","description":"Valid from."},"validUntil":{"type":"string","format":"date","description":"Valid until."},"specialOfferPrice":{"type":"boolean","default":false,"description":"Special offer price."},"salesChannelRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"customerGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"supplierGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"manufacturerRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"erp-tax-TaxRate":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"typeRef":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"},"active":{"type":"boolean","default":true,"description":"is this tax-rate active (selectable)","readOnly":true},"countryCode":{"type":"string","description":"the country code for this tax-rate"},"rate":{"type":"number","description":"the rate of this tax-rate"},"validFrom":{"type":"string","format":"date","description":"the date, this entry is valid from"}},"required":["countryCode","rate","typeRef","validFrom"]},"core-api-ApiCreatableReference":{"description":"Relation type","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label"},"description":{"type":"string","description":"a short description","readOnly":true}}},"common-masterdata-CurrencyReference":{"description":"Currency.","properties":{"id":{"type":"integer","format":"int64","description":"Currency identifier."},"isoAlpha3":{"type":"string","description":"Currency ISO Alpha-3 code."},"label":{"type":"string","description":"Currency label.","readOnly":true},"symbol":{"type":"string","description":"Currency symbol.","readOnly":true}}},"erp-product-ArticlePrintLabelSettings":{"description":"Label printing settings.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"report":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"incomingCalculationMode":{"type":"string","description":"Incoming goods: print quantity determination.","enum":["NO_LABEL","FIXED_AMOUNT","QUANTITY_TIMES_AMOUNT","QUANTITY_PER_PACKAGING_UNIT","QUANTITY_TIMES_AMOUNT_AND_PACKAGING_QUANTITY"]},"incomingPrintQuantity":{"type":"integer","format":"int32","description":"Incoming goods: print quantity."},"outgoingCalculationMode":{"type":"string","description":"Outgoing goods: print quantity determination.","enum":["NO_LABEL","FIXED_AMOUNT","QUANTITY_TIMES_AMOUNT","QUANTITY_PER_PACKAGING_UNIT","QUANTITY_TIMES_AMOUNT_AND_PACKAGING_QUANTITY"]},"outgoingPrintQuantity":{"type":"integer","format":"int32","description":"Outgoing goods: print quantity."}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}}}}}
```

## PUT /erp/article-suppliers/{id}/activate

> Activate an existing resource

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"ArticleSupplier","description":"the Article Supplier API"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/article-suppliers/{id}/activate":{"put":{"tags":["ArticleSupplier"],"summary":"Activate an existing resource","operationId":"activate_38","parameters":[{"name":"id","in":"path","description":"identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-product-ArticleSupplier"}}}},"404":{"description":"Resource was not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"422":{"description":"Resource was not valid to process","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-product-ArticleSupplier":{"description":"Article-Supplier-Relation","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"articleId":{"type":"string","description":"Referenced Article"},"articleName":{"type":"string","description":"Referenced Article name"},"accountId":{"type":"string","description":"Referenced Supplier-Account"},"articleNumber":{"type":"string","description":"Article number.","readOnly":true},"accountDisplayName":{"type":"string","description":"Account display name.","readOnly":true},"active":{"type":"boolean","default":true,"description":"Is this active?"},"supplierArticleNumber":{"type":"string","description":"Deviating product number."},"supplierArticleName":{"type":"string","description":"Deviating product name."},"supplierArticleDescription":{"type":"string","description":"Deviating product description."},"supplierArticleIdentifier":{"type":"string","description":"Deviating product identifier (e.g. barcode)."},"useSupplierArticleNumber":{"type":"boolean","default":false,"description":"Should the deviating product number be used (e.g. in documents)?"},"useSupplierArticleName":{"type":"boolean","default":false,"description":"Should the deviating product name be used (e.g. in documents)?"},"useSupplierArticleDescription":{"type":"boolean","default":false,"description":"Should the deviating product description be used (e.g. in documents)?"},"useSupplierArticleIdentifier":{"type":"boolean","default":false,"description":"Should the deviating product identifier be used (e.g. when scanning)?"},"purchaseUnit":{"type":"number","description":"Purchase unit."},"packagingUnit":{"type":"number","description":"Packaging unit."},"productUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"orderUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"deliveryTime":{"type":"integer","format":"int32","description":"Delivery time in (working) days."},"minimumOrderQuantity":{"type":"number","description":"Minimum order quantity."},"supplierReportingStock":{"type":"number","description":"Supplier reorder level."},"mainSupplier":{"type":"boolean","default":false,"description":"Main supplier."},"discountGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"defaultNetPrice":{"type":"number","description":"Default net price."},"defaultGrossPrice":{"type":"number","description":"Default gross price."},"productPrices":{"type":"array","description":"Supplier prices.","items":{"$ref":"#/components/schemas/erp-product-ProductPrice"},"readOnly":true},"orderOnComponentBase":{"type":"boolean","default":true,"description":"Should assemblies be ordered on a component basis?"},"dropShippingAllowed":{"type":"boolean","description":"Indicates whether drop shipping is allowed."},"supplierPrintLabelSettings":{"$ref":"#/components/schemas/erp-product-ArticlePrintLabelSettings"}},"required":["accountId","active","articleId"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"common-masterdata-UnitTypeReference":{"description":"net weight unit","properties":{"id":{"type":"integer","format":"int64","description":"unit type id"},"name":{"type":"string","description":"descriptive name","maxLength":255,"minLength":0},"abbreviation":{"type":"string","description":"unique abbreviation","maxLength":255,"minLength":0}},"required":["abbreviation"]},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-product-ProductPrice":{"description":"Contains a sales or purchase price for a product.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"netPrice":{"type":"number","description":"Net price."},"grossPrice":{"type":"number","description":"Gross price."},"priceBase":{"type":"string","description":"Price base.","enum":["NET_PRICE","GROSS_PRICE"]},"usedTaxRate":{"$ref":"#/components/schemas/erp-tax-TaxRate"},"qualifier":{"type":"string","description":"Determines whether this is a sales or a purchase price.","enum":["SALES","PURCHASE"],"readOnly":true},"purchasePriceSource":{"type":"string","description":"Purchase price for the calculation.","enum":["NONE","AVERAGE","MOST_RECENT"]},"modifierValueType":{"type":"string","description":"Value type.","enum":["PERCENT","FIX"]},"modifierValue":{"type":"number","description":"Surcharge value in the purchase price calculation."},"accountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"accessoryMainArticleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"productGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"priceGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"currencyRef":{"$ref":"#/components/schemas/common-masterdata-CurrencyReference"},"fromQuantity":{"type":"number","description":"Determines from which quantity this price is valid."},"validFrom":{"type":"string","format":"date","description":"Valid from."},"validUntil":{"type":"string","format":"date","description":"Valid until."},"specialOfferPrice":{"type":"boolean","default":false,"description":"Special offer price."},"salesChannelRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"customerGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"supplierGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"manufacturerRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"erp-tax-TaxRate":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"typeRef":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"},"active":{"type":"boolean","default":true,"description":"is this tax-rate active (selectable)","readOnly":true},"countryCode":{"type":"string","description":"the country code for this tax-rate"},"rate":{"type":"number","description":"the rate of this tax-rate"},"validFrom":{"type":"string","format":"date","description":"the date, this entry is valid from"}},"required":["countryCode","rate","typeRef","validFrom"]},"core-api-ApiCreatableReference":{"description":"Relation type","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label"},"description":{"type":"string","description":"a short description","readOnly":true}}},"common-masterdata-CurrencyReference":{"description":"Currency.","properties":{"id":{"type":"integer","format":"int64","description":"Currency identifier."},"isoAlpha3":{"type":"string","description":"Currency ISO Alpha-3 code."},"label":{"type":"string","description":"Currency label.","readOnly":true},"symbol":{"type":"string","description":"Currency symbol.","readOnly":true}}},"erp-product-ArticlePrintLabelSettings":{"description":"Label printing settings.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"report":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"incomingCalculationMode":{"type":"string","description":"Incoming goods: print quantity determination.","enum":["NO_LABEL","FIXED_AMOUNT","QUANTITY_TIMES_AMOUNT","QUANTITY_PER_PACKAGING_UNIT","QUANTITY_TIMES_AMOUNT_AND_PACKAGING_QUANTITY"]},"incomingPrintQuantity":{"type":"integer","format":"int32","description":"Incoming goods: print quantity."},"outgoingCalculationMode":{"type":"string","description":"Outgoing goods: print quantity determination.","enum":["NO_LABEL","FIXED_AMOUNT","QUANTITY_TIMES_AMOUNT","QUANTITY_PER_PACKAGING_UNIT","QUANTITY_TIMES_AMOUNT_AND_PACKAGING_QUANTITY"]},"outgoingPrintQuantity":{"type":"integer","format":"int32","description":"Outgoing goods: print quantity."}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}}}}}
```

## POST /erp/article-suppliers

> Create new Resource

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"ArticleSupplier","description":"the Article Supplier API"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/article-suppliers":{"post":{"tags":["ArticleSupplier"],"summary":"Create new Resource","operationId":"create_74","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-product-ArticleSupplier"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-product-ArticleSupplier"}}}},"422":{"description":"Resource was not valid to process","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-product-ArticleSupplier":{"description":"Article-Supplier-Relation","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"articleId":{"type":"string","description":"Referenced Article"},"articleName":{"type":"string","description":"Referenced Article name"},"accountId":{"type":"string","description":"Referenced Supplier-Account"},"articleNumber":{"type":"string","description":"Article number.","readOnly":true},"accountDisplayName":{"type":"string","description":"Account display name.","readOnly":true},"active":{"type":"boolean","default":true,"description":"Is this active?"},"supplierArticleNumber":{"type":"string","description":"Deviating product number."},"supplierArticleName":{"type":"string","description":"Deviating product name."},"supplierArticleDescription":{"type":"string","description":"Deviating product description."},"supplierArticleIdentifier":{"type":"string","description":"Deviating product identifier (e.g. barcode)."},"useSupplierArticleNumber":{"type":"boolean","default":false,"description":"Should the deviating product number be used (e.g. in documents)?"},"useSupplierArticleName":{"type":"boolean","default":false,"description":"Should the deviating product name be used (e.g. in documents)?"},"useSupplierArticleDescription":{"type":"boolean","default":false,"description":"Should the deviating product description be used (e.g. in documents)?"},"useSupplierArticleIdentifier":{"type":"boolean","default":false,"description":"Should the deviating product identifier be used (e.g. when scanning)?"},"purchaseUnit":{"type":"number","description":"Purchase unit."},"packagingUnit":{"type":"number","description":"Packaging unit."},"productUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"orderUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"deliveryTime":{"type":"integer","format":"int32","description":"Delivery time in (working) days."},"minimumOrderQuantity":{"type":"number","description":"Minimum order quantity."},"supplierReportingStock":{"type":"number","description":"Supplier reorder level."},"mainSupplier":{"type":"boolean","default":false,"description":"Main supplier."},"discountGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"defaultNetPrice":{"type":"number","description":"Default net price."},"defaultGrossPrice":{"type":"number","description":"Default gross price."},"productPrices":{"type":"array","description":"Supplier prices.","items":{"$ref":"#/components/schemas/erp-product-ProductPrice"},"readOnly":true},"orderOnComponentBase":{"type":"boolean","default":true,"description":"Should assemblies be ordered on a component basis?"},"dropShippingAllowed":{"type":"boolean","description":"Indicates whether drop shipping is allowed."},"supplierPrintLabelSettings":{"$ref":"#/components/schemas/erp-product-ArticlePrintLabelSettings"}},"required":["accountId","active","articleId"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"common-masterdata-UnitTypeReference":{"description":"net weight unit","properties":{"id":{"type":"integer","format":"int64","description":"unit type id"},"name":{"type":"string","description":"descriptive name","maxLength":255,"minLength":0},"abbreviation":{"type":"string","description":"unique abbreviation","maxLength":255,"minLength":0}},"required":["abbreviation"]},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-product-ProductPrice":{"description":"Contains a sales or purchase price for a product.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"netPrice":{"type":"number","description":"Net price."},"grossPrice":{"type":"number","description":"Gross price."},"priceBase":{"type":"string","description":"Price base.","enum":["NET_PRICE","GROSS_PRICE"]},"usedTaxRate":{"$ref":"#/components/schemas/erp-tax-TaxRate"},"qualifier":{"type":"string","description":"Determines whether this is a sales or a purchase price.","enum":["SALES","PURCHASE"],"readOnly":true},"purchasePriceSource":{"type":"string","description":"Purchase price for the calculation.","enum":["NONE","AVERAGE","MOST_RECENT"]},"modifierValueType":{"type":"string","description":"Value type.","enum":["PERCENT","FIX"]},"modifierValue":{"type":"number","description":"Surcharge value in the purchase price calculation."},"accountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"accessoryMainArticleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"productGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"priceGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"currencyRef":{"$ref":"#/components/schemas/common-masterdata-CurrencyReference"},"fromQuantity":{"type":"number","description":"Determines from which quantity this price is valid."},"validFrom":{"type":"string","format":"date","description":"Valid from."},"validUntil":{"type":"string","format":"date","description":"Valid until."},"specialOfferPrice":{"type":"boolean","default":false,"description":"Special offer price."},"salesChannelRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"customerGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"supplierGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"manufacturerRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"erp-tax-TaxRate":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"typeRef":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"},"active":{"type":"boolean","default":true,"description":"is this tax-rate active (selectable)","readOnly":true},"countryCode":{"type":"string","description":"the country code for this tax-rate"},"rate":{"type":"number","description":"the rate of this tax-rate"},"validFrom":{"type":"string","format":"date","description":"the date, this entry is valid from"}},"required":["countryCode","rate","typeRef","validFrom"]},"core-api-ApiCreatableReference":{"description":"Relation type","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label"},"description":{"type":"string","description":"a short description","readOnly":true}}},"common-masterdata-CurrencyReference":{"description":"Currency.","properties":{"id":{"type":"integer","format":"int64","description":"Currency identifier."},"isoAlpha3":{"type":"string","description":"Currency ISO Alpha-3 code."},"label":{"type":"string","description":"Currency label.","readOnly":true},"symbol":{"type":"string","description":"Currency symbol.","readOnly":true}}},"erp-product-ArticlePrintLabelSettings":{"description":"Label printing settings.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"report":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"incomingCalculationMode":{"type":"string","description":"Incoming goods: print quantity determination.","enum":["NO_LABEL","FIXED_AMOUNT","QUANTITY_TIMES_AMOUNT","QUANTITY_PER_PACKAGING_UNIT","QUANTITY_TIMES_AMOUNT_AND_PACKAGING_QUANTITY"]},"incomingPrintQuantity":{"type":"integer","format":"int32","description":"Incoming goods: print quantity."},"outgoingCalculationMode":{"type":"string","description":"Outgoing goods: print quantity determination.","enum":["NO_LABEL","FIXED_AMOUNT","QUANTITY_TIMES_AMOUNT","QUANTITY_PER_PACKAGING_UNIT","QUANTITY_TIMES_AMOUNT_AND_PACKAGING_QUANTITY"]},"outgoingPrintQuantity":{"type":"integer","format":"int32","description":"Outgoing goods: print quantity."}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.vario-software.de/api-reference/article-supplier.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
